Bug 738387 - ipw2200 driver deadlocks with itself trying to take rtnl_mutex
ipw2200 driver deadlocks with itself trying to take rtnl_mutex
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Josh Boyer
Fedora Extras Quality Assurance
AcceptedBlocker
: Reopened
Depends On:
Blocks: F16Beta/F16BetaBlocker
  Show dependency treegraph
 
Reported: 2011-09-14 13:06 EDT by Mads Kiilerich
Modified: 2011-09-24 00:37 EDT (History)
10 users (show)

See Also:
Fixed In Version: kernel-3.1.0-0.rc6.git0.3.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-24 00:37:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
udevd killing modprobe (514.30 KB, image/jpeg)
2011-09-14 13:06 EDT, Mads Kiilerich
no flags Details
dmesg from successful boot with kernel-PAE-3.1.0-0.rc4.git0.1.fc16.i686 (72.29 KB, text/plain)
2011-09-14 13:09 EDT, Mads Kiilerich
no flags Details
pci ipw lock (1.25 MB, image/jpeg)
2011-09-14 16:47 EDT, Mads Kiilerich
no flags Details
working 3.1.0-0.rc6.git0.2.1.fc16.i686.PAE dmesg (75.41 KB, text/plain)
2011-09-16 05:24 EDT, Mads Kiilerich
no flags Details

  None (edit)
Description Mads Kiilerich 2011-09-14 13:06:23 EDT
Created attachment 523202 [details]
udevd killing modprobe

Starting with kernel-PAE-3.1.0-0.rc5.git0.0.fc16.i686 I have had problems booting several machines. kernel-PAE-3.1.0-0.rc4.git0.1.fc16.i686 works fine.

The boot proces stops after systemd says "Started /boot."

50 seconds later udevd starts reporting errors twice a second:
timeout: killing '/sbin/modprobe -bv pci:
- see the attached screenshot.

I guess the modprobe came from
/lib/udev/rules.d/80-drivers.rules:
DRIVER!="?*", ENV{MODALIAS}=="?*", RUN+="/sbin/modprobe -bv $env{MODALIAS}"
and I don't understand why it keeps killing - it should either kill harder or try to continue anyway. That is however not the main problem.

I think I also have seen partial working boots too. Then I ended up with a system without networking. Just running 'ifconfig' hang. Sometimes it could be ctrl-C'ed, sometimes it couldn't.

http://www.smolts.org/client/show/pub_0ee17054-39dd-440a-8a15-98109cec9d28
Comment 1 Mads Kiilerich 2011-09-14 13:09:36 EDT
Created attachment 523203 [details]
dmesg from successful boot with kernel-PAE-3.1.0-0.rc4.git0.1.fc16.i686
Comment 2 Josh Boyer 2011-09-14 14:47:19 EDT
Can you try 3.1-rc6?  There were a handful of PCI fixes that went into that release.
Comment 3 Mads Kiilerich 2011-09-14 15:19:16 EDT
I see the same problem with rc5 and rc6. Actually the photo might be from rc6 ... and it is possible that most of the successes has been with rc5.
Comment 4 Mads Kiilerich 2011-09-14 16:47:22 EDT
Created attachment 523255 [details]
pci ipw lock

I caught a lock stracktrace with rc5.
Comment 5 Chuck Ebbert 2011-09-15 02:22:34 EDT
(In reply to comment #4)
> I caught a lock stracktrace with rc5.

It does look like ipw2200 has a serious problem there. I assume blacklisting that lets the system boot normally?
Comment 6 Mads Kiilerich 2011-09-15 05:37:31 EDT
(In reply to comment #5)
> It does look like ipw2200 has a serious problem there. I assume blacklisting
> that lets the system boot normally?

Confirmed. 

Manual "modprobe ipw2200" after boot will hang and bring down the wired network too.
Comment 7 Orion Poplawski 2011-09-15 19:03:43 EDT
Me too.  ThinkPad X32.
Comment 8 Adam Williamson 2011-09-15 19:15:41 EDT
Zoiks!
Comment 9 Josh Boyer 2011-09-15 19:29:48 EDT
John, Stanislaw, is this the fix for this issue?

http://www.spinics.net/lists/linux-wireless/msg76673.html
Comment 10 Josh Boyer 2011-09-15 20:34:42 EDT
I've started a scratch build with the patch from comment #9.  For those of you hitting this issue, could you please test when this completes and let us know if it resolves the problem?

http://koji.fedoraproject.org/koji/taskinfo?taskID=3354471
Comment 11 Adam Williamson 2011-09-15 20:43:10 EDT
I also did a build, if you're really impatient, it's available now:

http://adamwill.fedorapeople.org/kernel-3.1.0-0.rc6.git0.2.1.fc16.x86_64.rpm
Comment 12 Adam Williamson 2011-09-15 20:43:31 EDT
oh, damn, 32-bit might have been a better idea.
Comment 13 Stanislaw Gruszka 2011-09-16 03:28:33 EDT
(In reply to comment #9)
> John, Stanislaw, is this the fix for this issue?
> 
> http://www.spinics.net/lists/linux-wireless/msg76673.html

Yes.
Comment 14 Adam Williamson 2011-09-16 05:16:55 EDT
I've built a 32-bit live image with josh's kernel in it, to aid testing. It's uploading now to:

http://adamwill.fedorapeople.org/desktop-20110914-i686.iso

(ignore the dumb name :>) 

it should be up in about 30 mins. sha256sum is d1c58cac71e69ddbe1f50f6ebfdc25ba64dcfd078db0fde920a0aba0e34d06c3 .
Comment 15 Mads Kiilerich 2011-09-16 05:24:58 EDT
Created attachment 523524 [details]
working 3.1.0-0.rc6.git0.2.1.fc16.i686.PAE dmesg

I confirm that 3.1.0-0.rc6.git0.2.1 from koji can boot and the wireless seems to work.
Comment 16 Josh Boyer 2011-09-16 07:42:05 EDT
(In reply to comment #15)
> Created attachment 523524 [details]
> working 3.1.0-0.rc6.git0.2.1.fc16.i686.PAE dmesg
> 
> I confirm that 3.1.0-0.rc6.git0.2.1 from koji can boot and the wireless seems
> to work.

Excellent.  I'll commit this today.
Comment 17 Fedora Update System 2011-09-16 09:58:17 EDT
kernel-3.1.0-0.rc6.git0.3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.1.0-0.rc6.git0.3.fc16
Comment 18 Tim Flink 2011-09-16 22:27:13 EDT
Discussed in the 2011-09-16 blocker review meeting. Even though this bug is HW specific, that hardware is common enough and this bug is serious enough to accept it as a Fedora 16 beta blocker as it violates the following alpha release criterion [1]:

The installed system must be able to download and install updates with yum and the default graphical package manager in all release-blocking desktops 

[1] https://fedoraproject.org/wiki/Fedora_16_Alpha_Release_Criteria
Comment 19 Fedora Update System 2011-09-17 15:33:21 EDT
Package kernel-3.1.0-0.rc6.git0.3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.1.0-0.rc6.git0.3.fc16'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/kernel-3.1.0-0.rc6.git0.3.fc16
then log in and leave karma (feedback).
Comment 20 Adam Williamson 2011-09-21 20:53:56 EDT
Mads, can you re-confirm this is fixed in git0.3? thanks!
Comment 21 Mads Kiilerich 2011-09-21 21:02:48 EDT
Yes, git0.3 is fine - I gave it karma in bodhi.
Comment 22 Adam Williamson 2011-09-21 21:19:09 EDT
great, setting VERIFIED then.
Comment 23 Adam Williamson 2011-09-22 18:44:42 EDT
Please don't close bugs until they are actually pushed stable when we're frozen, Dave - otherwise they risk not being pulled into future Beta composes; we don't have closed bugs on the list when listing out updates which need to be pulled into the compose that are not yet in stable.
Comment 24 Fedora Update System 2011-09-24 00:36:49 EDT
kernel-3.1.0-0.rc6.git0.3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.